## mp3diags 1.5.01

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)

# Avoid to include the CMakeLists.txt files themselves to the project to get rid
# of the custom build step in Visual Studio that regenerates the project.
set(CMAKE_SUPPRESS_REGENERATION TRUE)

# Use relative instead of absolute paths in generated project files.
set(CMAKE_USE_RELATIVE_PATHS TRUE)

# Do not use whitespaces in the project name.
set(name "MP3Diags")
project(${name})

# Search for Qt in QTDIR first, then in C:\Qt\** (on Windows only).
list(APPEND qt_glob_paths $ENV{QTDIR})

if(WIN32)
    file(GLOB dirs "C:/Qt/*")
    foreach(dir ${dirs})
        if(IS_DIRECTORY ${dir})
            list(APPEND qt_glob_paths ${dir})
        endif()
    endforeach()

    # Search paths with higher version numbers first.
    list(SORT qt_glob_paths)
    list(REVERSE qt_glob_paths)
endif()

set(QT_SEARCH_PATHS ${qt_glob_paths} CACHE PATH "Paths where the Qt library is searched in.")
set(CMAKE_PREFIX_PATH ${QT_SEARCH_PATHS})

# Try to find Qt, which on success provides QT_USE_FILE, which in turn provides
# QT_LIBRARIES.
find_package(Qt4 REQUIRED)

file(GLOB_RECURSE sources "src/*.cpp")
file(GLOB_RECURSE sources_h "src/*.h")
file(GLOB_RECURSE sources_ui "src/*.ui")
file(GLOB_RECURSE sources_qrc "src/*.qrc")

# For some more info see e.g. http://qtnode.net/wiki/Qt_with_cmake
qt4_wrap_cpp(sources_moc ${sources_h})
qt4_wrap_ui(sources_uic ${sources_ui})
qt4_add_resources(source_rcc ${sources_qrc})

# Enable the required Qt libraries.
set(QT_USE_QTNETWORK 1)
set(QT_USE_QTXML 1)
include(${QT_USE_FILE})

# CMake places the ui_*.h files here.
include_directories(${CMAKE_BINARY_DIR})

# Try to find Boost, probably requires BOOST_ROOT to be set.
set(BOOST_SEARCH_PATHS "$ENV{BOOST_ROOT}" CACHE PATH "Paths where the Boost library is searched in.")
set(ENV{BOOST_ROOT} ${BOOST_SEARCH_PATHS})

find_package(Boost REQUIRED)

include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

add_executable(${name} ${sources} ${sources_h} ${sources_moc} ${sources_uic} ${sources_qrc} ${source_rcc})
target_link_libraries(${name} ${QT_LIBRARIES} ${Boost_LIBRARIES})

if(WIN32)
    # We want to use the Unicode Windows API, dynamically link against Boost and suppress deprecation / security warnings.
    add_definitions(-D_UNICODE -DUNICODE -DBOOST_ALL_DYN_LINK -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)

    # Do not treat wchar_t as a built-in type (for compatibility with Qt).
    set_target_properties(${name} PROPERTIES COMPILE_FLAGS "/Zc:wchar_t-") 

    # For "GetProcessMemoryInfo()".
    target_link_libraries(${name} psapi.lib)
endif()

# Hide a few variables from the CMake GUI.
set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE INTERNAL "")
set(QT_QMAKE_EXECUTABLE ${QT_QMAKE_EXECUTABLE} CACHE INTERNAL "")
set(Boost_LIB_DIAGNOSTIC_DEFINITIONS ${Boost_LIB_DIAGNOSTIC_DEFINITIONS} CACHE INTERNAL "")

## mp3diags 1.0.06.051

=== debian/changelog ===
mp3diags (1.0.06.051-1) unstable; urgency=low

  * New upstream release.
  * Add Vcs tags, move packaging to git.
  * Update my email address.
  * Add debian/gbp.conf.
  * Add .gitignore file.
  * Switch to format 3.0 (quilt).
  * Remove DM-Upload-Allowed: yes field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Jul 2010 23:39:16 +0200

mp3diags (1.0.05.050-2) unstable; urgency=low

  * Rename binary and other associated files to the lowercase form;
    thanks to Carlos Raviola for reporting this (Closes: #578991).
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 24 Apr 2010 09:36:42 +0200

mp3diags (1.0.05.050-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 20 Mar 2010 11:12:42 +0100

mp3diags (1.0.04.049-1) unstable; urgency=low

  * New upstream bugfix release.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 08 Mar 2010 14:14:20 +0100

mp3diags (1.0.03.048-1) unstable; urgency=low

  * New upstream relelase.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 31 Jan 2010 18:28:11 +0100

mp3diags (1.0.02.047-1) unstable; urgency=low

  * New upstream release.
  * Allow uploads by DM.
  * Adjust versioned build-dependencies to help backporters.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 12 Jan 2010 23:40:18 +0100

mp3diags (1.0.01.046-1) unstable; urgency=low

  * New upstream release:
    - Fix a segmentation fault with Qt 4.6 (Closes: #560115).
  * Pass even the noopt flag (and the other ones) to gcc;
    really Closes: #560025.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 09 Dec 2009 16:09:19 +0100

mp3diags (1.0.00.045-2) unstable; urgency=low

  * debian/patches/03-pas_flags_to_qmake.patch:
    - Pass C{,XX}FLAGS to the compiler (Closes: #560025).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 08 Dec 2009 18:49:54 +0100

mp3diags (1.0.00.045-1) unstable; urgency=low

  * New upstream release:
    - Wording changes to reflect non-beta status.
    - Pressing CTRL+C when viewing full-size images in the tag editor or in
      "Tag details" in the main window copies the image to the clipboard.
    - Added "Rating" and changed field order in "Tag details" to match the Tag
      editor.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 30 Nov 2009 14:00:14 +0100

mp3diags (0.99.06.044-2) unstable; urgency=low

  * Add quilt support.
  * debian/patches/01-disable_updates.patch:
    - Don't check for available updates (Closes: #557030).
  * debian/patches/02-libz.patch:
    - Prevent FTBFS with binutils-gold (Closes: #556915).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 25 Nov 2009 12:12:01 +0100

mp3diags (0.99.06.044-1) unstable; urgency=low

  * New upstream bugfix-release, bugfixes and improvements:
    - fixed a crash in folder filter
    - fixed bug causing non-normalized files having any TXXX frame to appear
      normalized
    - case is ignored for file extension, so .Mp3 or .mP3 files are recognized
    - better support and more consistent handling for TXXX and text frames in
      ID3V2
    - reduced number of locales by eliminating redundant ones
    - disabled CTRL+A selection in the main window
    - static link for serialization
    - added trace details for web downloads

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 05 Nov 2009 10:33:35 +0100

mp3diags (0.99.06.043-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 02 Nov 2009 23:14:47 +0100

mp3diags (0.99.06.042-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 25 Oct 2009 09:58:33 +0100

mp3diags (0.99.06.041-1) unstable; urgency=low

  * Initial release (Closes: #551180).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Oct 2009 10:50:44 +0200

=== debian/control ===
Source: mp3diags
Section: sound
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libboost-serialization-dev,
 libqt4-dev,
 zlib1g-dev,
 cmake
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/collab-maint/mp3diags.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mp3diags.git
Homepage: http://mp3diags.sourceforge.net/

Package: mp3diags
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libqt4-svg
Suggests: mp3diags-doc
Description: find issues in MP3 files and help to solve them
 MP3 Diags is a GUI-based application that allows end-users to identify issues
 with their MP3 files, fix some of the issues and make other changes, like
 adding track information. It also allows user to "look inside" an MP3 file.
 .
 Unlike some programs that are designed to deal with a single topic (like
 fixing VBR headers or adding cover art), MP3 Diags is a one stop solution
 that identifies more than 50 different issues in MP3 files and provides the
 means to fix many of them.
 .
 Some of the more important issues that are found:
 .
  * Broken tags / headers / audio.
  * Duplicate tags / headers.
  * Incorrect placement of tags / headers (ID3V2, ID3V1, LAME, Xing, etc).
  * Low quality audio.
  * Missing VBR header.
  * Missing track info / cover art.
  * Broken track info / cover art.
  * Missing normalization data.
  * Character encoding issues (for languages other than English).
 .
 Some of the fixes and changes that MP3 Diags can do:
 .
  * Adding / fixing track info, including album cover; information can be
    retrieved from several sources: Internet, clipboard, file name, local
    files, and (obviously) keyboard.
  * Correcting files that show incorrect song duration.
  * Correcting files in which the player cannot seek correctly.
  * Converting characters for non-English names.
  * Adding composer name to the artist field, for players that don't handle
    the composer field.
  * Renaming files based on their fields.
  * Changing word case for track info.

Package: mp3diags-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: MP3 Diags documentation
 MP3 Diags is a GUI-based application that allows end-users to identify issues
 with their MP3 files, fix some of the issues and make other changes, like
 adding track information. It also allows user to "look inside" an MP3 file.
 .
 This package contains user documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

export QT_CFLAGS := $(CFLAGS)
export QT_CXXFLAGS := $(CXXFLAGS)

%:
	dh $@
	
override_dh_auto_build:
	mkdir src/release
	qmake-qt4
	$(MAKE)

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean bin/MP3Diags Makefile src/Makefile src/Makefile.Debug \
		src/Makefile.Release
	rm -rf src/release

override_dh_auto_install:
	cp desktop/MP3Diags16.png \
		debian/mp3diags/usr/share/icons/hicolor/16x16/apps/MP3Diags.png
	cp desktop/MP3Diags22.png \
		debian/mp3diags/usr/share/icons/hicolor/22x22/apps/MP3Diags.png
	cp desktop/MP3Diags24.png \
		debian/mp3diags/usr/share/icons/hicolor/24x24/apps/MP3Diags.png
	cp desktop/MP3Diags32.png \
		debian/mp3diags/usr/share/icons/hicolor/32x32/apps/MP3Diags.png
	cp desktop/MP3Diags36.png \
		debian/mp3diags/usr/share/icons/hicolor/36x36/apps/MP3Diags.png
	cp desktop/MP3Diags40.png \
		debian/mp3diags/usr/share/icons/hicolor/40x40/apps/MP3Diags.png
	cp desktop/MP3Diags48.png \
		debian/mp3diags/usr/share/icons/hicolor/48x48/apps/MP3Diags.png
	dh_auto_install

override_dh_install:
	dh_install
	mv debian/mp3diags/usr/bin/MP3Diags \
		debian/mp3diags/usr/bin/mp3diags
	mv debian/mp3diags/usr/share/applications/MP3Diags.desktop \
		debian/mp3diags/usr/share/applications/mp3diags.desktop
	sed -i -e 's/\(.*\)=MP3Diags/\1=mp3diags/' \
		debian/mp3diags/usr/share/applications/mp3diags.desktop

=== debian/watch ===
version=3
http://mp3diags.sourceforge.net/010_getting_the_program.html \
http://web.clicknet.ro/mciobanu/mp3diags/MP3Diags_Src\+Doc-(.*)\.tar\.gz

## mp3diags 1.0.07.052

=== debian/changelog ===
mp3diags (1.0.07.052-1) unstable; urgency=low

  * Update watch file.
  * New upstream bugfix-only release.
  * Drop 02-libz.patch, no longer needed.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Jan 2011 10:23:03 +0100

## mp3diags 1.0.08.053

=== debian/changelog ===
mp3diags (1.0.08.053-1) unstable; urgency=low

  * QA upload.
  * Imported Upstream version 1.0.08.053:
    - Fix crash when trying to save after error at startup.
  * Enable parallel builds.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 Jun 2011 12:23:02 +0200

mp3diags (1.0.07.052-2) unstable; urgency=low

  * QA upload.
  * Orphaning this.
  * Bump Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Apr 2011 09:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mp3diags
 Section: sound
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  libboost-serialization-dev,
  libqt4-dev,
  zlib1g-dev,
  cmake
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/mp3diags.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mp3diags.git
 Homepage: http://mp3diags.sourceforge.net/

## mp3diags 1.0.09.063

=== debian/changelog ===
mp3diags (1.0.09.063-1) unstable; urgency=low

  * QA upload.
  * New upstream release:
    - made Discogs queries work again, after a Discogs API change
    - added close button for windows on Gnome 3

 -- Alessio Treglia <alessio@debian.org>  Mon, 19 Sep 2011 11:13:25 +0200

## mp3diags 1.0.10.065

=== debian/changelog ===
mp3diags (1.0.10.065-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 08:54:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export QT_CXXFLAGS := $(CXXFLAGS)
 
 %:
-	dh $@
+	dh $@ --parallel
 	
 override_dh_auto_build:
 	mkdir src/release

## mp3diags 1.0.11.076

=== debian/changelog ===
mp3diags (1.0.11.076-3) unstable; urgency=low

  * new upload, in order to fix the bug #689811 to unstable and wheezy
    (Closes: #689811)

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 21 Oct 2012 19:22:59 -0600

mp3diags (1.0.11.076-2) experimental; urgency=low

  * New Maintainer (Closes: #620470)
  * debian/copyright fixes incorrect license entries (Closes: #689811)

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 13 Oct 2012 23:26:49 -0600

mp3diags (1.0.11.076-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Drop 04-gcc47.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jun 2012 16:26:08 +0200

mp3diags (1.0.10.065-2) unstable; urgency=low

  * QA upload.
  * Update debian/copyright to machine-readable format.
  * Port to GCC 4.7 (Closes: #672053):
    - Add 04-gcc47.patch to fix missing #includes.
    - Compile with -fpermissive.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 May 2012 14:56:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: mp3diags
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Josue Ortega <josueortega@debian.org.gt>
+Build-Depends:
+ cmake,
+ debhelper (>= 7.0.50~),
  libboost-serialization-dev,
  libqt4-dev,
- zlib1g-dev,
- cmake
-Standards-Version: 3.9.2
+ zlib1g-dev
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/mp3diags.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mp3diags.git
 Homepage: http://mp3diags.sourceforge.net/
 
 Package: mp3diags
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ libqt4-svg,
  ${misc:Depends},
- libqt4-svg
-Suggests: mp3diags-doc
+ ${shlibs:Depends}
+Suggests:
+ mp3diags-doc
 Description: find issues in MP3 files and help to solve them
  MP3 Diags is a GUI-based application that allows end-users to identify issues
  with their MP3 files, fix some of the issues and make other changes, like
@@ -56,7 +59,8 @@
 Package: mp3diags-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: MP3 Diags documentation
  MP3 Diags is a GUI-based application that allows end-users to identify issues
  with their MP3 files, fix some of the issues and make other changes, like

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-export QT_CFLAGS := $(CFLAGS)
-export QT_CXXFLAGS := $(CXXFLAGS)
+export QT_CFLAGS := $(CFLAGS) -fpermissive
+export QT_CXXFLAGS := $(CXXFLAGS) -fpermissive
 
 %:
 	dh $@ --parallel

## mp3diags 1.0.12.079

=== debian/changelog ===
mp3diags (1.0.12.079-2build1) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:38 +0100

mp3diags (1.0.12.079-2) unstable; urgency=low

  * Fix build failure with boost 1.53:
    -debian/patches/03-pass_flags_to_qmake.patch -lboost_serialization-mt
     changed to -lboost_serialization since it is not needed in the new
     version (Closes: #709575).
  * Upload to unstable
  * debian/patches/desktop-file-keywords added in order to make easier
    the search in enviroments like Gnome or Unity

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 15 Jun 2013 18:38:18 -0600

mp3diags (1.0.12.079-1) experimental; urgency=low

  * New upstream release:
    - fix Discogs issue with albums that have more than twenty tracks.
  * Fix the failing of the package second build.
  * debian/control Vcs-* field removed.
  * Compat level changed to 9.
  * Fix hardening-no-relro and hardening-no-fortify-functions issues.
  * Standards version updated to 3.9.4, no changes required.

 -- Josue Ortega <josueortega@debian.org.gt>  Mon, 26 March 2013 19:15:07 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: mp3diags
 Section: sound
 Priority: optional
-Maintainer: Josue Ortega <josueortega@debian.org.gt>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josue Ortega <josueortega@debian.org.gt>
 Build-Depends:
  cmake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libboost-serialization-dev,
  libqt4-dev,
  zlib1g-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/collab-maint/mp3diags.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mp3diags.git
+Standards-Version: 3.9.4
 Homepage: http://mp3diags.sourceforge.net/
 
 Package: mp3diags

=== debian/watch ===
version=3
http://mp3diags.sourceforge.net/010_getting_the_program.html \
http://dl.dropbox.com/u/.*/mp3diags/MP3Diags_Src\+Doc-(.*)\.tar\.gz

## mp3diags 1.2.01

=== debian/changelog ===
mp3diags (1.2.01-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    -Removes mp3diags-doc since upstream does not include
     doc directory in the new version.
    -Adds new dependency: libboost-program-options-dev.
  * debian/patches:
    Patches updated to work with the new version:
     -01-disable_updates.patch
     -03-pass_flags_to_qmake.patch
  * debian/patches/desktop-file-keywords.patch: removed since it is
    include by upstream in the new version.
  * debian/watch: Fix watch file.
  * Standards version updated to 3.9.5, no changes required.
  * debian/control Added VCS-* Fields

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 01 Feb 2014 18:44:48 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: mp3diags
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josue Ortega <josueortega@debian.org.gt>
+Maintainer: Josue Ortega <josueortega@debian.org.gt>
 Build-Depends:
  cmake,
  debhelper (>= 9),
  libboost-serialization-dev,
+ libboost-program-options-dev,
  libqt4-dev,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mp3diags.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/mp3diags.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mp3diags.git;a=summary
 
 Package: mp3diags
 Architecture: any
@@ -54,15 +56,3 @@
     the composer field.
   * Renaming files based on their fields.
   * Changing word case for track info.
-
-Package: mp3diags-doc
-Section: doc
-Architecture: all
-Depends:
- ${misc:Depends}
-Description: MP3 Diags documentation
- MP3 Diags is a GUI-based application that allows end-users to identify issues
- with their MP3 files, fix some of the issues and make other changes, like
- adding track information. It also allows user to "look inside" an MP3 file.
- .
- This package contains user documentation in HTML format.

=== debian/watch ===
version=3
http://sf.net/mp3diags/MP3Diags-(\d+\.\d+\.\d+)\.tar\.gz

## mp3diags 1.2.02

=== debian/changelog ===
mp3diags (1.2.02-2build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:54:21 +0000

mp3diags (1.2.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 09 May 2015 16:04:56 -0600

mp3diags (1.2.02-1) experimental; urgency=medium

  * New upstream version.
  * Standards version updated to 3.9.6, no changes required.
  * debian/copyright: Updated copyright information for src/images/zoom-in.png
  * debian/control: Removed Suggests field, no longer needed.

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 29 Mar 2015 20:05:59 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libboost-program-options-dev,
  libqt4-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mp3diags.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mp3diags.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mp3diags.git;a=summary
@@ -20,8 +20,6 @@
  libqt4-svg,
  ${misc:Depends},
  ${shlibs:Depends}
-Suggests:
- mp3diags-doc
 Description: find issues in MP3 files and help to solve them
  MP3 Diags is a GUI-based application that allows end-users to identify issues
  with their MP3 files, fix some of the issues and make other changes, like

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,7 @@
 export QT_CXXFLAGS := $(CXXFLAGS) -fpermissive
 
 %:
-	dh $@ --parallel
-	
-override_dh_auto_build:
-	mkdir src/release
-	qmake-qt4
-	$(MAKE)
-
-override_dh_auto_clean:
-	[ ! -f Makefile ] || $(MAKE) clean
-
-	dh_clean bin/MP3Diags Makefile src/Makefile src/Makefile.Debug \
-		src/Makefile.Release
-	rm -rf src/release
+	dh $@ -Sqmake --parallel
 
 override_dh_auto_install:
 	cp desktop/MP3Diags16.png \

## mp3diags 1.2.03

=== debian/changelog ===
mp3diags (1.2.03-1) unstable; urgency=medium

  * New upstream release.
  * Removes debian/patches/01-fix-gcc6-compat.patch no longer necessary
    since upstream had applied it.
  * debian/patches: Refresh patches to work with new upstream code.
  * Adds debian/patches/01-fix-format-not-a-string-literal.patch.

 -- Josue Ortega <josue@debian.org>  Wed, 03 Aug 2016 21:48:29 -0600

mp3diags (1.2.02-4) unstable; urgency=medium

  * Adds debian/patches/01/fix-gcc6-compat.patch (Closes: #811666)

 -- Josue Ortega <josue@debian.org>  Sun, 24 Jul 2016 14:21:10 -0600

mp3diags (1.2.02-3) unstable; urgency=medium

  * debian/control:
    - Updates Vcs-* to secure uri.
    - Standards-Version updated to 3.9.8, debian/menu file has been
      removed.
  * debian/rules: Adds DEB_BUILD_MAINT_OPTIONS.

 -- Josue Ortega <josue@debian.org>  Sun, 03 Jul 2016 21:25:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mp3diags
 Section: sound
 Priority: optional
-Maintainer: Josue Ortega <josueortega@debian.org.gt>
+Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 9),
@@ -9,10 +9,10 @@
  libboost-program-options-dev,
  libqt4-dev,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mp3diags.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mp3diags.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mp3diags.git;a=summary
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/mp3diags.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mp3diags.git
 
 Package: mp3diags
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export QT_CFLAGS := $(CFLAGS) -fpermissive
 export QT_CXXFLAGS := $(CXXFLAGS) -fpermissive
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ -Sqmake --parallel

## mp3diags 1.5.01

=== debian/changelog ===
mp3diags (1.5.01-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:29 +1100

mp3diags (1.5.01-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:58:16 +0000

mp3diags (1.5.01-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:52:20 +0100

mp3diags (1.5.01-2) unstable; urgency=medium

  * Bump debhelper-compat to use (= 13)
  * Mark autopkgtest as superficial (Closes: #969846)
  * debian/control:
    + Add new line at end of file
    + Document Rules-Requires-Root field as 'no'
  * debian/source/lintian-overrides: Update renamed lintian tag
  * Bump Standards-Vesion to 4.5.1. No changes required
  * Fix autopkgtest by adding check-output runtime test

 -- Josue Ortega <josue@debian.org>  Mon, 04 Jan 2021 20:00:40 -0600

mp3diags (1.5.01-1) unstable; urgency=medium

  * New upstream release (1.5.01-1)
    - Refresh debian/patches
    - debian/rules: Update icons name at override_dh_install
    - Update binary name at installation
  * Update debian watch file
  * Update package to use Qt5. Closes: #875057
  * Update package to use debhelper-compat (= 12)
    - debian/rules: Remove unnecessary argument --parallel
  * Update Vcs-* to use salsa.debian.org.
  * Add debian/clean to remove unsafe symlink from source
  * Bump Standards-Version to 4.4.0:
    - debian/copyright: Update Format field to use https
  * Add debian/source/lintian-overrides
  * Add Debian CI tests

 -- Josue Ortega <josue@debian.org>  Fri, 23 Aug 2019 18:44:15 -0600

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: mp3diags
 Section: sound
 Priority: optional
-Maintainer: Josue Ortega <josue@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  libboost-serialization-dev,
  libboost-program-options-dev,
- libqt4-dev,
+ qtbase5-dev,
+ qt5-qmake,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: http://mp3diags.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/mp3diags.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mp3diags.git
+Vcs-Git: https://salsa.debian.org/debian/mp3diags.git
+Vcs-Browser: https://salsa.debian.org/debian/mp3diags
+Rules-Requires-Root: no
 
 Package: mp3diags
 Architecture: any
 Depends:
- libqt4-svg,
+ libqt5svg5,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: find issues in MP3 files and help to solve them

=== debian/tests/control ===
Tests: check-output
Restrictions: superficial
Depends: grep
